Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.core.util
Class TieAuditEventDispatcher

    java.lang.Object
      oracle.ifs.core.util.AuditEventDispatcher
          oracle.ifs.core.util.TieAuditEventDispatcher

    public class TieAuditEventDispatcher

extends AuditEventDispatcher

TieAuditEventDispatcher allows the Oracle-defined behavior of the AuditEventDispatcher class to be extended or overridden.

Nested Class Summary

Nested classes/interfaces inherited from class oracle.ifs.core.util.AuditEventDispatcher
`AuditEventDispatcher.RegisteredAuditSpecification, AuditEventDispatcher.RegisteredGlobalAuditSpecification, AuditEventDispatcher.RegisteredObjectAuditSpecification`

Constructor Summary
`TieAuditEventDispatcher()` Constructs an TieAuditEventDispatcher.
`TieAuditEventDispatcher(BoundedCacheConfiguration cacheConfig)` Constructs an TieAuditEventDispatcher.

Method Summary

Methods inherited from class oracle.ifs.core.util.AuditEventDispatcher
`handleAuditSpecificationEvents, handleFreedEvents, handleGlobalAuditTypeListChangeEvents, initialize, processRawAuditEvents, processRawAuditEvents`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TieAuditEventDispatcher

    public TieAuditEventDispatcher()
                            throws IfsException

  Constructs an TieAuditEventDispatcher.

  Throws:
    `IfsException` - if the operation fails

### TieAuditEventDispatcher

    public TieAuditEventDispatcher(BoundedCacheConfiguration cacheConfig)
                            throws IfsException

  Constructs an TieAuditEventDispatcher.

  Parameters:
    `cacheConfig` - cache configuration for the AuditFolderPath cache
  Throws:
    `IfsException` - if the operation fails

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD